# pickmy.org Jekyll source

This is the main repository for pickmy.org's website. All the posts and custom code Jekyll uses to build the site.

The site is automatically built when I push stuff to the repository.

## Modifications To Theme

This uses [jekyll-theme-console by b2a3e8](https://github.com/b2a3e8/jekyll-theme-console) with a few modifications:

- _sass/base.scss has list bulleting code removed
- assets/list.scss now contains the list bullet code
- _includes/head.html modified to search for "list: bullet" in front matter
- _includes/header.html modified to look for page titled "/git" to display non-relative URL.

All other changes are made in the markdown. 

## Organization Of Site

The concept of posts and pages the way they were with Wordpress are out the window. All posts are posts. All pages are posts.

I'm taking advantage of the fact I can make a folder, put a _posts folder under it, and Jekyll automatically categorizes those posts. This means there are three main types/categories of posts/pages:

- /blog: all general blogging type posts
- /pbx: all Asterisk related stuff
- /dev: all development based stuff

Post images or external resources ***ARE NOT*** stored in this repository. You think I'm crazy?
